Bug 167734 - gnroff mandoc style, usage mistakes or typos. (man3)
Summary: gnroff mandoc style, usage mistakes or typos. (man3)
Status: Closed FIXED
Alias: None
Product: Documentation
Classification: Unclassified
Component: Documentation (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Glen Barber
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-05-09 16:00 UTC by Nobuyuki Koganemaru
Modified: 2012-05-18 01:57 UTC (History)
0 users

See Also:


Attachments
file.diff (23.12 KB, patch)
2012-05-09 16:00 UTC, Nobuyuki Koganemaru
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Nobuyuki Koganemaru 2012-05-09 16:00:27 UTC
	man3

Fix: corrected files:

ATOMIC_VAR_INIT.3:
     $FreeBSD: src/share/man/man3/ATOMIC_VAR_INIT.3,v 1.3 2012/01/05 21:36:12 uqs Exp $

acl_delete_entry.3:
     $FreeBSD: src/lib/libc/posix1e/acl_delete_entry.3,v 1.9 2009/06/25 12:53:50 trasz Exp $

archive_read_open.3:
     $FreeBSD: src/contrib/libarchive/libarchive/archive_read_open.3,v 1.1 2012/02/25 10:58:02 mm Exp $

archive_write_filter.3:
     $FreeBSD: src/contrib/libarchive/libarchive/archive_write_filter.3,v 1.1 2012/02/25 10:58:02 mm Exp $

archive_write_open.3:
     $FreeBSD: src/contrib/libarchive/libarchive/archive_write_open.3,v 1.1 2012/02/25 10:58:02 mm Exp $

archive_write_set_options.3:
     $FreeBSD: src/contrib/libarchive/libarchive/archive_write_set_options.3,v 1.1 2012/02/25 10:58:02 mm Exp $

bluetooth.3:
     $Id: bluetooth.3,v 1.5 2003/05/20 23:04:30 max Exp $
     $FreeBSD: src/lib/libbluetooth/bluetooth.3,v 1.14 2012/03/29 05:02:12 eadler Exp $

cexp.3:
     $FreeBSD: src/lib/msun/man/cexp.3,v 1.1 2011/03/07 03:09:24 das Exp $

complex.3:
     $FreeBSD: src/lib/msun/man/complex.3,v 1.3 2011/10/17 05:41:03 das Exp $

duplocale.3:
     $FreeBSD: src/lib/libc/locale/duplocale.3,v 1.4 2012/03/26 19:06:59 joel Exp $

elf_getarsym.3:
     $FreeBSD: src/lib/libelf/elf_getarsym.3,v 1.3 2010/04/14 19:08:06 uqs Exp $

elf_getdata.3:
     $FreeBSD: src/lib/libelf/elf_getdata.3,v 1.7 2012/03/29 05:02:12 eadler Exp $

elf_rand.3:
     $FreeBSD: src/lib/libelf/elf_rand.3,v 1.4 2010/04/14 19:08:06 uqs Exp $

elf_strptr.3:
     $FreeBSD: src/lib/libelf/elf_strptr.3,v 1.5 2010/08/03 17:40:09 joel Exp $

freelocale.3:
     $FreeBSD: src/lib/libc/locale/freelocale.3,v 1.2 2011/12/02 11:55:09 obrien Exp $

gelf_getphdr.3:
     $FreeBSD: src/lib/libelf/gelf_getphdr.3,v 1.5 2010/04/14 19:08:06 uqs Exp $

gelf_newehdr.3:
     $FreeBSD: src/lib/libelf/gelf_newehdr.3,v 1.5 2010/04/14 19:08:06 uqs Exp $

getenv.3:
     $FreeBSD: src/lib/libc/stdlib/getenv.3,v 1.29 2012/03/29 05:02:12 eadler Exp $

getopt_long.3:
     $OpenBSD: getopt_long.3,v 1.10 2004/01/06 23:44:28 fgsch Exp $
     $NetBSD: getopt_long.3,v 1.14 2003/08/07 16:43:40 agc Exp $
     $FreeBSD: src/lib/libc/stdlib/getopt_long.3,v 1.15 2011/12/26 03:14:37 gjb Exp $

gpib.3:
     $FreeBSD: src/lib/libgpib/gpib.3,v 1.4 2012/03/25 12:13:24 joel Exp $

kvm_getpcpu.3:
     $FreeBSD: src/lib/libkvm/kvm_getpcpu.3,v 1.4 2010/03/12 10:01:06 uqs Exp $

libalias.3:
     $FreeBSD: src/sys/netinet/libalias/libalias.3,v 1.62 2011/07/04 23:00:26 gjb Exp $

libarchive_internals.3:
     $FreeBSD: src/contrib/libarchive/libarchive/libarchive_internals.3,v 1.3 2012/02/25 10:58:02 mm Exp $

libprocstat.3:
     $FreeBSD: src/lib/libprocstat/libprocstat.3,v 1.3 2012/04/01 18:22:48 jhb Exp $

libradius.3:
     $FreeBSD: src/lib/libradius/libradius.3,v 1.21 2012/02/12 18:29:56 ed Exp $

libtacplus.3:
     $FreeBSD: src/lib/libtacplus/libtacplus.3,v 1.19 2012/03/29 05:02:12 eadler Exp $

libusb.3:
     $FreeBSD: src/lib/libusb/libusb.3,v 1.26 2012/05/07 14:07:13 hselasky Exp $

libusb20.3:
     $FreeBSD: src/lib/libusb/libusb20.3,v 1.14 2012/03/29 16:07:22 joel Exp $

newlocale.3:
     $FreeBSD: src/lib/libc/locale/newlocale.3,v 1.6 2012/04/07 09:26:21 joel Exp $

pthread.3:
     $FreeBSD: src/share/man/man3/pthread.3,v 1.34 2010/01/09 12:31:11 delphij Exp $

pthread_condattr.3:
     $FreeBSD: src/share/man/man3/pthread_condattr.3,v 1.16 2010/05/09 14:21:34 jilles Exp $

publickey.3:
     $FreeBSD: src/lib/libc/rpc/publickey.3,v 1.10 2010/12/28 10:08:50 uqs Exp $

querylocale.3:
     $FreeBSD: src/lib/libc/locale/querylocale.3,v 1.2 2011/12/02 11:55:09 obrien Exp $

sctp_connectx.3:
     $FreeBSD: src/lib/libc/net/sctp_connectx.3,v 1.8 2012/03/29 05:02:12 eadler Exp $

sctp_recvmsg.3:
     $FreeBSD: src/lib/libc/net/sctp_recvmsg.3,v 1.11 2012/03/29 05:02:12 eadler Exp $

snmp_netgraph.3:
     $FreeBSD: src/usr.sbin/bsnmpd/modules/snmp_netgraph/snmp_netgraph.3,v 1.14 2012/03/26 15:18:14 joel Exp $

snmp_usm.3:
     $FreeBSD: src/contrib/bsnmp/snmp_usm/snmp_usm.3,v 1.3 2011/08/01 22:21:18 uqs Exp $

snmp_vacm.3:
     $FreeBSD: src/contrib/bsnmp/snmp_vacm/snmp_vacm.3,v 1.1 2010/12/08 13:51:38 syrinx Exp $

snmp_wlan.3:
     $FreeBSD: src/usr.sbin/bsnmpd/modules/snmp_wlan/snmp_wlan.3,v 1.6 2012/03/29 05:02:12 eadler Exp $

sourcefilter.3:
     $FreeBSD: src/lib/libc/net/sourcefilter.3,v 1.3 2012/03/29 05:02:12 eadler Exp $

strfmon.3:
     $FreeBSD: src/lib/libc/stdlib/strfmon.3,v 1.7 2003/01/06 06:21:25 tjr Exp $

strlcpy.3:
     $OpenBSD: strlcpy.3,v 1.19 2007/05/31 19:19:32 jmc Exp $
     $FreeBSD: src/lib/libc/string/strlcpy.3,v 1.16 2009/04/07 13:42:53 trasz Exp $

uselocale.3:
     $FreeBSD: src/lib/libc/locale/uselocale.3,v 1.2 2011/12/02 11:55:09 obrien Exp $

xlocale.3:
     $FreeBSD: src/lib/libc/locale/xlocale.3,v 1.4 2012/03/25 16:00:56 joel Exp $

	patch files:
How-To-Repeat: 	none.
Comment 1 Eitan Adler freebsd_committer freebsd_triage 2012-05-10 00:47:27 UTC
Responsible Changed
From-To: freebsd-doc->eadler

I'll take it.
Comment 2 Glen Barber freebsd_committer 2012-05-10 05:46:18 UTC
Responsible Changed
From-To: eadler->gjb

I'll take it instead (discussed with eadler).
Comment 3 Glen Barber freebsd_committer 2012-05-11 21:07:11 UTC
State Changed
From-To: open->patched

Committed with minor changes, thanks! 

Note, contrib/libarchive fixes should be reported upstream to avoid 
merge conflicts when we update.  I will submit your changes upstream.
Comment 4 dfilter service freebsd_committer 2012-05-18 01:31:32 UTC
Author: gjb (doc committer)
Date: Fri May 18 00:31:20 2012
New Revision: 235575
URL: http://svn.freebsd.org/changeset/base/235575

Log:
  MFC r235286:
  
  General mdoc(7) and typo fixes.
  
  PR:		167734

Modified:
  stable/9/contrib/bsnmp/snmp_usm/snmp_usm.3
  stable/9/contrib/bsnmp/snmp_vacm/snmp_vacm.3
  stable/9/lib/libbluetooth/bluetooth.3
  stable/9/lib/libc/net/sctp_connectx.3
  stable/9/lib/libc/net/sctp_recvmsg.3
  stable/9/lib/libc/net/sourcefilter.3
  stable/9/lib/libc/posix1e/acl_delete_entry.3
  stable/9/lib/libc/rpc/publickey.3
  stable/9/lib/libc/stdlib/getenv.3
  stable/9/lib/libc/stdlib/strfmon.3
  stable/9/lib/libc/string/strlcpy.3
  stable/9/lib/libelf/elf_getdata.3
  stable/9/lib/libelf/elf_strptr.3
  stable/9/lib/libelf/gelf_getphdr.3
  stable/9/lib/libelf/gelf_newehdr.3
  stable/9/lib/libgpib/gpib.3
  stable/9/lib/libkvm/kvm_getpcpu.3
  stable/9/lib/libprocstat/libprocstat.3
  stable/9/lib/libradius/libradius.3
  stable/9/lib/libtacplus/libtacplus.3
  stable/9/lib/libusb/libusb.3
  stable/9/lib/libusb/libusb20.3
  stable/9/lib/msun/man/cexp.3
  stable/9/lib/msun/man/complex.3
  stable/9/share/man/man3/pthread.3
  stable/9/share/man/man3/pthread_condattr.3
  stable/9/sys/netinet/libalias/libalias.3
  stable/9/usr.sbin/bsnmpd/modules/snmp_netgraph/snmp_netgraph.3
  stable/9/usr.sbin/bsnmpd/modules/snmp_wlan/snmp_wlan.3
Directory Properties:
  stable/9/contrib/bsnmp/   (props changed)
  stable/9/lib/libbluetooth/   (props changed)
  stable/9/lib/libc/   (props changed)
  stable/9/lib/libelf/   (props changed)
  stable/9/lib/libgpib/   (props changed)
  stable/9/lib/libkvm/   (props changed)
  stable/9/lib/libprocstat/   (props changed)
  stable/9/lib/libradius/   (props changed)
  stable/9/lib/libtacplus/   (props changed)
  stable/9/lib/libusb/   (props changed)
  stable/9/lib/msun/   (props changed)
  stable/9/share/man/man3/   (props changed)
  stable/9/sys/   (props changed)
  stable/9/usr.sbin/bsnmpd/   (props changed)
  stable/9/usr.sbin/bsnmpd/modules/snmp_wlan/   (props changed)

Modified: stable/9/contrib/bsnmp/snmp_usm/snmp_usm.3
==============================================================================
--- stable/9/contrib/bsnmp/snmp_usm/snmp_usm.3	Fri May 18 00:08:09 2012	(r235574)
+++ stable/9/contrib/bsnmp/snmp_usm/snmp_usm.3	Fri May 18 00:31:20 2012	(r235575)
@@ -57,7 +57,7 @@ An advisory lock used to coordinate seve
 altering the SNMP USM users.
 .It Va usmUserTable
 The table contains all SNMP USM users configured in
-.Nm bsnmpd.
+.Nm bsnmpd .
 The table contains the following objects
 .Bl -tag -width ".It Va usmUserEngineID"
 .It Va usmUserEngineID
@@ -102,7 +102,7 @@ module
 These columns may be used to change the user's privacy key.
 .It Va usmUserPublic
 An arbitrary octet string that may be modified to confirm a SET operation on any
-of the columns was successfull.
+of the columns was successful.
 .It Va usmUserStorageType
 This column always has either of two values. Entries created via
 .Nm bsnmpd's

Modified: stable/9/contrib/bsnmp/snmp_vacm/snmp_vacm.3
==============================================================================
--- stable/9/contrib/bsnmp/snmp_vacm/snmp_vacm.3	Fri May 18 00:08:09 2012	(r235574)
+++ stable/9/contrib/bsnmp/snmp_vacm/snmp_vacm.3	Fri May 18 00:31:20 2012	(r235575)
@@ -76,7 +76,7 @@ objects under the subtree in the relevan
 .It Va vacmViewTreeFamilyTable
 The table contains a list of SNMP views, i.e. entries specifying the OID of a
 MIB subtree and whether access to the objects under this subtree is to be
-allowed or forbiden.
+allowed or forbidden.
 .El
 .Sh FILES
 .Bl -tag -width "XXXXXXXXX"

Modified: stable/9/lib/libbluetooth/bluetooth.3
==============================================================================
--- stable/9/lib/libbluetooth/bluetooth.3	Fri May 18 00:08:09 2012	(r235574)
+++ stable/9/lib/libbluetooth/bluetooth.3	Fri May 18 00:31:20 2012	(r235575)
@@ -494,7 +494,8 @@ previously obtained with
 .Xr bt_devopen 3 .
 Filtering can be done on packet types, i.e.
 .Dv ACL ,
-.Dv SCO or
+.Dv SCO
+or
 .Dv HCI ,
 command and event packets, and, in addition, on
 .Dv HCI

Modified: stable/9/lib/libc/net/sctp_connectx.3
==============================================================================
--- stable/9/lib/libc/net/sctp_connectx.3	Fri May 18 00:08:09 2012	(r235574)
+++ stable/9/lib/libc/net/sctp_connectx.3	Fri May 18 00:31:20 2012	(r235575)
@@ -36,7 +36,7 @@
 .Os
 .Sh NAME
 .Nm sctp_connectx
-.Nd connect an SCTP socket with multiple destination addresses.
+.Nd connect an SCTP socket with multiple destination addresses
 .Sh LIBRARY
 .Lb libc
 .Sh SYNOPSIS

Modified: stable/9/lib/libc/net/sctp_recvmsg.3
==============================================================================
--- stable/9/lib/libc/net/sctp_recvmsg.3	Fri May 18 00:08:09 2012	(r235574)
+++ stable/9/lib/libc/net/sctp_recvmsg.3	Fri May 18 00:31:20 2012	(r235575)
@@ -66,7 +66,7 @@ For a one-to-many (SOCK_SEQPACKET) type 
 .Fn sctp_recvmsg
 after having implicitly started an association via one
 of the send calls including
-.Fn sctp_sendmsg
+.Fn sctp_sendmsg ,
 .Fn sendto
 and
 .Fn sendmsg .

Modified: stable/9/lib/libc/net/sourcefilter.3
==============================================================================
--- stable/9/lib/libc/net/sourcefilter.3	Fri May 18 00:08:09 2012	(r235574)
+++ stable/9/lib/libc/net/sourcefilter.3	Fri May 18 00:31:20 2012	(r235575)
@@ -158,7 +158,7 @@ For the protocol-independent functions
 .Fn getsourcefilter
 and
 .Fn setsourcefilter ,
-the argument
+the
 .Fa grouplen
 argument specifies the size of the structure pointed to by
 .Fa group .
@@ -220,7 +220,7 @@ operation.
 .Sh SEE ALSO
 .Xr ip 4 ,
 .Xr ip6 4 ,
-.Xr multicast 4, 
+.Xr multicast 4 ,
 .Xr ifmcstat 8
 .Rs
 .%A D. Thaler

Modified: stable/9/lib/libc/posix1e/acl_delete_entry.3
==============================================================================
--- stable/9/lib/libc/posix1e/acl_delete_entry.3	Fri May 18 00:08:09 2012	(r235574)
+++ stable/9/lib/libc/posix1e/acl_delete_entry.3	Fri May 18 00:31:20 2012	(r235575)
@@ -30,7 +30,7 @@
 .Os
 .Sh NAME
 .Nm acl_delete_entry ,
-.Nm acl_delete_entry_np ,
+.Nm acl_delete_entry_np
 .Nd delete an ACL entry from an ACL
 .Sh LIBRARY
 .Lb libc

Modified: stable/9/lib/libc/rpc/publickey.3
==============================================================================
--- stable/9/lib/libc/rpc/publickey.3	Fri May 18 00:08:09 2012	(r235574)
+++ stable/9/lib/libc/rpc/publickey.3	Fri May 18 00:31:20 2012	(r235575)
@@ -35,14 +35,14 @@ has an extra argument,
 which is used to decrypt the encrypted secret key stored in the database.
 Both routines return 1 if they are successful in finding the key, 0 otherwise.
 The keys are returned as
-.Dv NULL Ns \-terminated ,
+.Dv NUL Ns \-terminated ,
 hexadecimal strings.
 If the password supplied to
 .Fn getsecretkey
 fails to decrypt the secret key, the routine will return 1 but the
 .Fa secretkey
 argument will be a
-.Dv NULL
+.Dv NUL
 string
 .Pq Dq .
 .Sh SEE ALSO

Modified: stable/9/lib/libc/stdlib/getenv.3
==============================================================================
--- stable/9/lib/libc/stdlib/getenv.3	Fri May 18 00:08:09 2012	(r235574)
+++ stable/9/lib/libc/stdlib/getenv.3	Fri May 18 00:31:20 2012	(r235575)
@@ -152,7 +152,8 @@ failed because
 is a
 .Dv NULL
 pointer,
-.Fa string is without an
+.Fa string
+is without an
 .Dq Li \&=
 character or
 .Dq Li \&=

Modified: stable/9/lib/libc/stdlib/strfmon.3
==============================================================================
--- stable/9/lib/libc/stdlib/strfmon.3	Fri May 18 00:08:09 2012	(r235574)
+++ stable/9/lib/libc/stdlib/strfmon.3	Fri May 18 00:31:20 2012	(r235575)
@@ -115,14 +115,14 @@ character is written.
 .El
 .Sh RETURN VALUES
 If the total number of resulting bytes including the terminating
-.Dv NULL
+.Dv NUL
 byte is not more than
 .Fa maxsize ,
 .Fn strfmon
 returns the number of bytes placed into the array pointed to by
 .Fa s ,
 not including the terminating
-.Dv NULL
+.Dv NUL
 byte.
 Otherwise, \-1 is returned,
 the contents of the array are indeterminate,

Modified: stable/9/lib/libc/string/strlcpy.3
==============================================================================
--- stable/9/lib/libc/string/strlcpy.3	Fri May 18 00:08:09 2012	(r235574)
+++ stable/9/lib/libc/string/strlcpy.3	Fri May 18 00:31:20 2012	(r235575)
@@ -169,7 +169,7 @@ if (strlcat(pname, file, sizeof(pname)) 
 .Ed
 .Pp
 Since it is known how many characters were copied the first time, things
-can be sped up a bit by using a copy instead of an append
+can be sped up a bit by using a copy instead of an append.
 .Bd -literal -offset indent
 char *dir, *file, pname[MAXPATHLEN];
 size_t n;

Modified: stable/9/lib/libelf/elf_getdata.3
==============================================================================
--- stable/9/lib/libelf/elf_getdata.3	Fri May 18 00:08:09 2012	(r235574)
+++ stable/9/lib/libelf/elf_getdata.3	Fri May 18 00:31:20 2012	(r235575)
@@ -144,7 +144,7 @@ structures of type
 .Dv ELF_T_BYTE .
 .Ss Special handling of zero-sized and SHT_NOBITS sections
 For sections of type
-.Dv SHT_NOBITS,
+.Dv SHT_NOBITS ,
 and for zero-sized sections,
 the functions
 .Fn elf_getdata

Modified: stable/9/lib/libelf/elf_strptr.3
==============================================================================
--- stable/9/lib/libelf/elf_strptr.3	Fri May 18 00:08:09 2012	(r235574)
+++ stable/9/lib/libelf/elf_strptr.3	Fri May 18 00:31:20 2012	(r235575)
@@ -64,7 +64,7 @@ encountered.
 .It Bq Er ELF_E_ARGUMENT
 Argument
 .Ar elf
-was NULL
+was NULL.
 .It Bq Er ELF_E_ARGUMENT
 Argument
 .Ar elf

Modified: stable/9/lib/libelf/gelf_getphdr.3
==============================================================================
--- stable/9/lib/libelf/gelf_getphdr.3	Fri May 18 00:08:09 2012	(r235574)
+++ stable/9/lib/libelf/gelf_getphdr.3	Fri May 18 00:31:20 2012	(r235575)
@@ -66,7 +66,7 @@ Function
 will retrieve the program header table entry at index
 .Ar index
 from ELF descriptor
-.Ar elf.
+.Ar elf .
 The translated program header table entry will be written to the
 address pointed to be argument
 .Ar dst .

Modified: stable/9/lib/libelf/gelf_newehdr.3
==============================================================================
--- stable/9/lib/libelf/gelf_newehdr.3	Fri May 18 00:08:09 2012	(r235574)
+++ stable/9/lib/libelf/gelf_newehdr.3	Fri May 18 00:31:20 2012	(r235575)
@@ -58,7 +58,8 @@ structure.
 Function
 .Fn elf64_newehdr
 returns a pointer to a 64 bit
-.Vt Elf64_Ehdr structure.
+.Vt Elf64_Ehdr
+structure.
 .Pp
 When argument
 .Ar elfclass

Modified: stable/9/lib/libgpib/gpib.3
==============================================================================
--- stable/9/lib/libgpib/gpib.3	Fri May 18 00:08:09 2012	(r235574)
+++ stable/9/lib/libgpib/gpib.3	Fri May 18 00:31:20 2012	(r235575)
@@ -667,7 +667,7 @@ and sends its contents to the device.
 .Pp
 The function
 .Fn ibwrtkey
-is obsolete, and not implemented
+is obsolete, and not implemented.
 .Pp
 The function
 .Fn ibxtrc

Modified: stable/9/lib/libkvm/kvm_getpcpu.3
==============================================================================
--- stable/9/lib/libkvm/kvm_getpcpu.3	Fri May 18 00:08:09 2012	(r235574)
+++ stable/9/lib/libkvm/kvm_getpcpu.3	Fri May 18 00:31:20 2012	(r235575)
@@ -114,7 +114,7 @@ it returns -1 instead.
 On success, the
 .Fn kvm_getpcpu
 function returns a pointer to an allocated buffer or
-.Dv NULL.
+.Dv NULL .
 If an error occurs,
 it returns -1 instead.
 .Pp
@@ -124,7 +124,7 @@ call returns 0; if an error occurs, it r
 .Pp
 If any function encounters an error,
 then an error message may be retrieved via
-.Xr kvm_geterr 3.
+.Xr kvm_geterr 3 .
 .Sh SEE ALSO
 .Xr free 3 ,
 .Xr kvm 3

Modified: stable/9/lib/libprocstat/libprocstat.3
==============================================================================
--- stable/9/lib/libprocstat/libprocstat.3	Fri May 18 00:08:09 2012	(r235574)
+++ stable/9/lib/libprocstat/libprocstat.3	Fri May 18 00:31:20 2012	(r235575)
@@ -194,7 +194,7 @@ The
 .Fn procstat_get_socket_info
 and
 .Fn procstat_get_vnode_info
-functions are used to retrive information about pipes, pseudo-terminals,
+functions are used to retrieve information about pipes, pseudo-terminals,
 sockets, and vnodes, respectively.
 Each of them have a similar interface API.
 The

Modified: stable/9/lib/libradius/libradius.3
==============================================================================
--- stable/9/lib/libradius/libradius.3	Fri May 18 00:08:09 2012	(r235574)
+++ stable/9/lib/libradius/libradius.3	Fri May 18 00:31:20 2012	(r235575)
@@ -108,8 +108,7 @@ allows clients to perform authentication
 network requests to remote servers.
 .Ss Initialization
 To use the library, an application must first call
-.Fn rad_auth_open
-,
+.Fn rad_auth_open ,
 .Fn rad_acct_open
 or
 .Fn rad_server_open
@@ -119,8 +118,7 @@ which provides the context for subsequen
 The former function is used for RADIUS authentication and the
 latter is used for RADIUS accounting.
 Calls to
-.Fn rad_auth_open
-,
+.Fn rad_auth_open ,
 .Fn rad_acct_open
 and
 .Fn rad_server_open
@@ -487,7 +485,7 @@ To respond to the request you should cal
 .Fn rad_create_response
 and fill response content with same packet writing functions as for client.
 When packet is ready, it should be sent with
-.Fn rad_send_response
+.Fn rad_send_response .
 .Sh RETURN VALUES
 The following functions return a non-negative value on success.
 If

Modified: stable/9/lib/libtacplus/libtacplus.3
==============================================================================
--- stable/9/lib/libtacplus/libtacplus.3	Fri May 18 00:08:09 2012	(r235574)
+++ stable/9/lib/libtacplus/libtacplus.3	Fri May 18 00:31:20 2012	(r235575)
@@ -380,7 +380,7 @@ the request, and waits for a reply.
 On failure,
 .Fn tac_send_acct
 returns \-1.
-Otherwise, it returns the TACACS+ status code 
+Otherwise, it returns the TACACS+ status code.
 Possible status codes, defined in
 .In taclib.h ,
 include:

Modified: stable/9/lib/libusb/libusb.3
==============================================================================
--- stable/9/lib/libusb/libusb.3	Fri May 18 00:08:09 2012	(r235574)
+++ stable/9/lib/libusb/libusb.3	Fri May 18 00:31:20 2012	(r235575)
@@ -100,12 +100,12 @@ counter decremented once.
 .Ft uint8_t
 .Fn libusb_get_bus_number "libusb_device *dev"
 Returns the number of the bus contained by the device
-.Fa dev.
+.Fa dev .
 .Pp
 .Ft uint8_t
 .Fn libusb_get_device_address "libusb_device *dev"
 Returns the device_address contained by the device
-.Fa dev.
+.Fa dev .
 .Pp
 .Ft enum libusb_speed
 .Fn libusb_get_device_speed "libusb_device *dev"
@@ -127,12 +127,12 @@ LIBUSB_ERROR_OTHERS on other failure.
 .Ft libusb_device *
 .Fn libusb_ref_device "libusb_device *dev"
 Increment the reference counter of the device
-.Fa dev.
+.Fa dev .
 .Pp
 .Ft void
 .Fn libusb_unref_device "libusb_device *dev"
 Decrement the reference counter of the device
-.Fa dev.
+.Fa dev .
 .Pp
 .Ft int
 .Fn libusb_open "libusb_device *dev" "libusb_device_handle **devh"
@@ -147,7 +147,7 @@ disconnected and a LIBUSB_ERROR code on 
 A convenience function to open a device by vendor and product IDs
 .Fa vid
 and
-.Fa pid.
+.Fa pid .
 Returns NULL on error.
 .Pp
 .Ft void
@@ -161,7 +161,7 @@ Returns NULL on error.
 .Pp
 .Ft int
 .Fn libusb_get_configuration "libusb_device_handle *devh" "int *config"
-Returns the bConfiguration value of the current configuration.
+Returns the value of the current configuration.
 Returns 0
 on success, LIBUSB_ERROR_NO_DEVICE if the device has been disconnected
 and a LIBUSB_ERROR code on error.
@@ -171,7 +171,7 @@ and a LIBUSB_ERROR code on error.
 Set the active configuration to
 .Fa config
 for the device contained by
-.Fa devh.
+.Fa devh .
 This function returns 0 on success, LIBUSB_ERROR_NOT_FOUND if the requested
 configuration does not exist, LIBUSB_ERROR_BUSY if the interfaces are currently
 claimed, LIBUSB_ERROR_NO_DEVICE if the device has been disconnected and a
@@ -180,7 +180,7 @@ LIBUSB_ERROR code on failure.
 .Ft int
 .Fn libusb_claim_interface "libusb_device_handle *devh" "int interface_number"
 Claim an interface in a given libusb_handle
-.Fa devh.
+.Fa devh .
 This is a non-blocking function.
 It returns 0 on success, LIBUSB_ERROR_NOT_FOUND
 if the requested interface does not exist, LIBUSB_ERROR_BUSY if a program or
@@ -279,7 +279,7 @@ LIBUSB_ERROR code on failure.
 .Ft int
 .Fn libusb_get_device_descriptor "libusb_device *dev" "libusb_device_descriptor *desc"
 Get the USB device descriptor for the device
-.Fa dev.
+.Fa dev .
 This is a non-blocking function.
 Returns 0 on success and a LIBUSB_ERROR code on
 failure.
@@ -324,11 +324,11 @@ on success and a LIBUSB_ERROR code on fa
 This function parses the USB 3.0 endpoint companion descriptor in host endian format pointed to by
 .Fa buf
 and having a length of
-.Fa len.
+.Fa len .
 Typically these arguments are the extra and extra_length fields of the
 endpoint descriptor.
 On success the pointer to resulting descriptor is stored at the location given by
-.Fa ep_comp.
+.Fa ep_comp .
 Returns zero on success and a LIBUSB_ERROR code on failure.
 On success the parsed USB 3.0 endpoint companion descriptor must be
 freed using the libusb_free_ss_endpoint_comp function.
@@ -342,9 +342,9 @@ This function is NULL safe and frees a p
 This function parses a Binary Object Store, BOS, descriptor into host endian format pointed to by
 .Fa buf
 and having a length of
-.Fa len.
+.Fa len .
 On success the pointer to resulting descriptor is stored at the location given by
-.Fa bos.
+.Fa bos .
 Returns zero on success and a LIBUSB_ERROR code on failure.
 On success the parsed BOS descriptor must be freed using the
 libusb_free_bos_descriptor function.

Modified: stable/9/lib/libusb/libusb20.3
==============================================================================
--- stable/9/lib/libusb/libusb20.3	Fri May 18 00:08:09 2012	(r235574)
+++ stable/9/lib/libusb/libusb20.3	Fri May 18 00:31:20 2012	(r235575)
@@ -331,7 +331,7 @@ packets are avoided for proxy buffers.
 .Pp
 .
 .Fn libusb20_tr_get_max_total_length
-function will return the maximum value for the data length sum of all USB
+will return the maximum value for the data length sum of all USB
 frames associated with an USB transfer.
 In case of control transfers the value returned does not include the
 length of the SETUP packet, 8 bytes, which is part of frame zero.
@@ -815,7 +815,7 @@ returns the current speed of the given U
 .Pp
 .
 .Fn libusb20_dev_get_config_index
-This function returns the currently select config index for the given
+returns the currently selected config index for the given
 USB device.
 .
 .Pp
@@ -832,7 +832,7 @@ will set the debug level for the given U
 .Pp
 .
 .Fn libusb20_dev_wait_process
-function will wait until a pending USB transfer has completed on
+will wait until a pending USB transfer has completed on
 the given USB device.
 .
 A timeout value can be specified which is passed on to the
@@ -866,7 +866,7 @@ returned.
 .Pp
 .
 .Fn libusb20_be_get_dev_quirk
-This function will return the device quirk according to
+will return the device quirk according to
 .Fa index
 into the libusb20_quirk structure pointed to by
 .Fa pq .
@@ -948,7 +948,7 @@ Dequeued USB devices will not be freed w
 .Pp
 .
 .Fn libusb20_be_enqueue_device
-This function will enqueue the given USB device pointer in the backend USB device list.
+will enqueue the given USB device pointer in the backend USB device list.
 .
 Enqueued USB devices will get freed when the backend is freed.
 .

Modified: stable/9/lib/msun/man/cexp.3
==============================================================================
--- stable/9/lib/msun/man/cexp.3	Fri May 18 00:08:09 2012	(r235574)
+++ stable/9/lib/msun/man/cexp.3	Fri May 18 00:31:20 2012	(r235575)
@@ -48,7 +48,7 @@ functions compute the complex exponentia
 .Fa z ,
 also known as
 .Em cis Ns ( Ns
-.Fa z Ns )
+.Fa z Ns ) .
 .Sh RETURN VALUES
 For real numbers
 .Fa x

Modified: stable/9/lib/msun/man/complex.3
==============================================================================
--- stable/9/lib/msun/man/complex.3	Fri May 18 00:08:09 2012	(r235574)
+++ stable/9/lib/msun/man/complex.3	Fri May 18 00:31:20 2012	(r235575)
@@ -101,7 +101,7 @@ The
 functions described here conform to
 .St -isoC-99 .
 .Sh BUGS
-The trigonmetric and hyperbolic functions
+The inverse trigonometric and hyperbolic functions
 .Fn cacos ,
 .Fn cacosh ,
 .Fn casin ,

Modified: stable/9/share/man/man3/pthread.3
==============================================================================
--- stable/9/share/man/man3/pthread.3	Fri May 18 00:08:09 2012	(r235574)
+++ stable/9/share/man/man3/pthread.3	Fri May 18 00:31:20 2012	(r235575)
@@ -452,7 +452,7 @@ Set the thread-specific value for the sp
 .Fa "void \*[lp]*child\*[rp]\*[lp]void\*[rp]"
 .Fc
 .Xc
-Register fork handlers
+Register fork handlers.
 .It Xo
 .Ft void
 .Fn pthread_cleanup_pop "int execute"

Modified: stable/9/share/man/man3/pthread_condattr.3
==============================================================================
--- stable/9/share/man/man3/pthread_condattr.3	Fri May 18 00:08:09 2012	(r235574)
+++ stable/9/share/man/man3/pthread_condattr.3	Fri May 18 00:31:20 2012	(r235575)
@@ -35,7 +35,7 @@
 .Nm pthread_condattr_getclock ,
 .Nm pthread_condattr_setclock ,
 .Nm pthread_condattr_getpshared ,
-.Nm pthread_condattr_setpshared ,
+.Nm pthread_condattr_setpshared
 .Nd condition attribute operations
 .Sh LIBRARY
 .Lb libpthread

Modified: stable/9/sys/netinet/libalias/libalias.3
==============================================================================
--- stable/9/sys/netinet/libalias/libalias.3	Fri May 18 00:08:09 2012	(r235574)
+++ stable/9/sys/netinet/libalias/libalias.3	Fri May 18 00:31:20 2012	(r235575)
@@ -919,7 +919,7 @@ added support for PPTP and LSNAT as well
 .An Paolo Pisati Aq piso@FreeBSD.org
 made the library modular, moving support for all
 protocols (except for IP, TCP and UDP) to external modules.
-.Sh ACKNOWLEDGMENTS
+.Sh ACKNOWLEDGEMENTS
 Listed below, in approximate chronological order, are individuals who
 have provided valuable comments and/or debugging assistance.
 .Bd -ragged -offset indent
@@ -1277,10 +1277,10 @@ struct dll {
 .Ed
 .Bl -inset
 .It Va name
-is the name of the module
+is the name of the module.
 .It Va handle
 is a pointer to the module obtained through
-.Xr dlopen 3
+.Xr dlopen 3 .
 .El
 Whenever a module is loaded in userland, an entry is added to
 .Va dll_chain ,

Modified: stable/9/usr.sbin/bsnmpd/modules/snmp_netgraph/snmp_netgraph.3
==============================================================================
--- stable/9/usr.sbin/bsnmpd/modules/snmp_netgraph/snmp_netgraph.3	Fri May 18 00:08:09 2012	(r235574)
+++ stable/9/usr.sbin/bsnmpd/modules/snmp_netgraph/snmp_netgraph.3	Fri May 18 00:31:20 2012	(r235575)
@@ -306,7 +306,7 @@ This buffer should be at least
 .Li NG_NODESIZ
 bytes long.
 The function returns the node id or 0 if the
-node is not found
+node is not found.
 .Pp
 The function
 .Fn ng_node_type
@@ -397,7 +397,8 @@ of the node with id
 .Fa peer .
 The functions return 0 on success or -1 otherwise.
 The function
-.Fn ng_connect2_tee_id does the same as
+.Fn ng_connect2_tee_id
+does the same as
 .Fn ng_connect2_id
 except, that it puts an unnamed tee node between the two nodes.
 .Pp

Modified: stable/9/usr.sbin/bsnmpd/modules/snmp_wlan/snmp_wlan.3
==============================================================================
--- stable/9/usr.sbin/bsnmpd/modules/snmp_wlan/snmp_wlan.3	Fri May 18 00:08:09 2012	(r235574)
+++ stable/9/usr.sbin/bsnmpd/modules/snmp_wlan/snmp_wlan.3	Fri May 18 00:31:20 2012	(r235575)
@@ -61,8 +61,8 @@ via
 .Va wlanParentIfName
 column. Any optional parameters may be set
 via the
-.Va wlanIfaceOperatingMode, 
-.Va wlanIfaceFlags, 
+.Va wlanIfaceOperatingMode ,
+.Va wlanIfaceFlags ,
 .Va wlanIfaceBssid
 and 
 .Va wlanIfaceLocalAddress
_______________________________________________
svn-src-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-src-all
To unsubscribe, send any mail to "svn-src-all-unsubscribe@freebsd.org"
Comment 5 dfilter service freebsd_committer 2012-05-18 01:32:42 UTC
Author: gjb (doc committer)
Date: Fri May 18 00:32:29 2012
New Revision: 235576
URL: http://svn.freebsd.org/changeset/base/235576

Log:
  MFC r235286:
  
  General mdoc(7) and typo fixes.
  
  PR:		167734

Modified:
  stable/8/lib/libbluetooth/bluetooth.3
  stable/8/lib/libc/net/sctp_connectx.3
  stable/8/lib/libc/net/sctp_recvmsg.3
  stable/8/lib/libc/net/sourcefilter.3
  stable/8/lib/libc/posix1e/acl_delete_entry.3
  stable/8/lib/libc/rpc/publickey.3
  stable/8/lib/libc/stdlib/getenv.3
  stable/8/lib/libc/stdlib/strfmon.3
  stable/8/lib/libc/string/strlcpy.3
  stable/8/lib/libelf/elf_getdata.3
  stable/8/lib/libelf/elf_strptr.3
  stable/8/lib/libelf/gelf_getphdr.3
  stable/8/lib/libelf/gelf_newehdr.3
  stable/8/lib/libgpib/gpib.3
  stable/8/lib/libkvm/kvm_getpcpu.3
  stable/8/lib/libradius/libradius.3
  stable/8/lib/libusb/libusb.3
  stable/8/lib/libusb/libusb20.3
  stable/8/lib/msun/man/complex.3
  stable/8/share/man/man3/pthread.3
  stable/8/share/man/man3/pthread_condattr.3
  stable/8/sys/netinet/libalias/libalias.3
  stable/8/usr.sbin/bsnmpd/modules/snmp_netgraph/snmp_netgraph.3
Directory Properties:
  stable/8/lib/libbluetooth/   (props changed)
  stable/8/lib/libc/   (props changed)
  stable/8/lib/libelf/   (props changed)
  stable/8/lib/libgpib/   (props changed)
  stable/8/lib/libkvm/   (props changed)
  stable/8/lib/libradius/   (props changed)
  stable/8/lib/libusb/   (props changed)
  stable/8/lib/msun/   (props changed)
  stable/8/share/man/man3/   (props changed)
  stable/8/sys/   (props changed)
  stable/8/usr.sbin/bsnmpd/   (props changed)

Modified: stable/8/lib/libbluetooth/bluetooth.3
==============================================================================
--- stable/8/lib/libbluetooth/bluetooth.3	Fri May 18 00:31:20 2012	(r235575)
+++ stable/8/lib/libbluetooth/bluetooth.3	Fri May 18 00:32:29 2012	(r235576)
@@ -494,7 +494,8 @@ previously obtained with
 .Xr bt_devopen 3 .
 Filtering can be done on packet types, i.e.
 .Dv ACL ,
-.Dv SCO or
+.Dv SCO
+or
 .Dv HCI ,
 command and event packets, and, in addition, on
 .Dv HCI

Modified: stable/8/lib/libc/net/sctp_connectx.3
==============================================================================
--- stable/8/lib/libc/net/sctp_connectx.3	Fri May 18 00:31:20 2012	(r235575)
+++ stable/8/lib/libc/net/sctp_connectx.3	Fri May 18 00:32:29 2012	(r235576)
@@ -36,7 +36,7 @@
 .Os
 .Sh NAME
 .Nm sctp_connectx
-.Nd connect an SCTP socket with multiple destination addresses.
+.Nd connect an SCTP socket with multiple destination addresses
 .Sh LIBRARY
 .Lb libc
 .Sh SYNOPSIS

Modified: stable/8/lib/libc/net/sctp_recvmsg.3
==============================================================================
--- stable/8/lib/libc/net/sctp_recvmsg.3	Fri May 18 00:31:20 2012	(r235575)
+++ stable/8/lib/libc/net/sctp_recvmsg.3	Fri May 18 00:32:29 2012	(r235576)
@@ -66,7 +66,7 @@ For a one-to-many (SOCK_SEQPACKET) type 
 .Fn sctp_recvmsg
 after having implicitly started an association via one
 of the send calls including
-.Fn sctp_sendmsg
+.Fn sctp_sendmsg ,
 .Fn sendto
 and
 .Fn sendmsg .

Modified: stable/8/lib/libc/net/sourcefilter.3
==============================================================================
--- stable/8/lib/libc/net/sourcefilter.3	Fri May 18 00:31:20 2012	(r235575)
+++ stable/8/lib/libc/net/sourcefilter.3	Fri May 18 00:32:29 2012	(r235576)
@@ -158,7 +158,7 @@ For the protocol-independent functions
 .Fn getsourcefilter
 and
 .Fn setsourcefilter ,
-the argument
+the
 .Fa grouplen
 argument specifies the size of the structure pointed to by
 .Fa group .
@@ -220,7 +220,7 @@ operation.
 .Sh SEE ALSO
 .Xr ip 4 ,
 .Xr ip6 4 ,
-.Xr multicast 4, 
+.Xr multicast 4 ,
 .Xr ifmcstat 8
 .Rs
 .%A D. Thaler

Modified: stable/8/lib/libc/posix1e/acl_delete_entry.3
==============================================================================
--- stable/8/lib/libc/posix1e/acl_delete_entry.3	Fri May 18 00:31:20 2012	(r235575)
+++ stable/8/lib/libc/posix1e/acl_delete_entry.3	Fri May 18 00:32:29 2012	(r235576)
@@ -30,7 +30,7 @@
 .Os
 .Sh NAME
 .Nm acl_delete_entry ,
-.Nm acl_delete_entry_np ,
+.Nm acl_delete_entry_np
 .Nd delete an ACL entry from an ACL
 .Sh LIBRARY
 .Lb libc

Modified: stable/8/lib/libc/rpc/publickey.3
==============================================================================
--- stable/8/lib/libc/rpc/publickey.3	Fri May 18 00:31:20 2012	(r235575)
+++ stable/8/lib/libc/rpc/publickey.3	Fri May 18 00:32:29 2012	(r235576)
@@ -35,14 +35,14 @@ has an extra argument,
 which is used to decrypt the encrypted secret key stored in the database.
 Both routines return 1 if they are successful in finding the key, 0 otherwise.
 The keys are returned as
-.Dv NULL Ns \-terminated ,
+.Dv NUL Ns \-terminated ,
 hexadecimal strings.
 If the password supplied to
 .Fn getsecretkey
 fails to decrypt the secret key, the routine will return 1 but the
 .Fa secretkey
 argument will be a
-.Dv NULL
+.Dv NUL
 string
 .Pq Dq .
 .Sh SEE ALSO

Modified: stable/8/lib/libc/stdlib/getenv.3
==============================================================================
--- stable/8/lib/libc/stdlib/getenv.3	Fri May 18 00:31:20 2012	(r235575)
+++ stable/8/lib/libc/stdlib/getenv.3	Fri May 18 00:32:29 2012	(r235576)
@@ -143,7 +143,8 @@ failed because
 is a
 .Dv NULL
 pointer,
-.Fa string is without an
+.Fa string
+is without an
 .Dq Li \&=
 character or
 .Dq Li \&=

Modified: stable/8/lib/libc/stdlib/strfmon.3
==============================================================================
--- stable/8/lib/libc/stdlib/strfmon.3	Fri May 18 00:31:20 2012	(r235575)
+++ stable/8/lib/libc/stdlib/strfmon.3	Fri May 18 00:32:29 2012	(r235576)
@@ -115,14 +115,14 @@ character is written.
 .El
 .Sh RETURN VALUES
 If the total number of resulting bytes including the terminating
-.Dv NULL
+.Dv NUL
 byte is not more than
 .Fa maxsize ,
 .Fn strfmon
 returns the number of bytes placed into the array pointed to by
 .Fa s ,
 not including the terminating
-.Dv NULL
+.Dv NUL
 byte.
 Otherwise, \-1 is returned,
 the contents of the array are indeterminate,

Modified: stable/8/lib/libc/string/strlcpy.3
==============================================================================
--- stable/8/lib/libc/string/strlcpy.3	Fri May 18 00:31:20 2012	(r235575)
+++ stable/8/lib/libc/string/strlcpy.3	Fri May 18 00:32:29 2012	(r235576)
@@ -169,7 +169,7 @@ if (strlcat(pname, file, sizeof(pname)) 
 .Ed
 .Pp
 Since it is known how many characters were copied the first time, things
-can be sped up a bit by using a copy instead of an append
+can be sped up a bit by using a copy instead of an append.
 .Bd -literal -offset indent
 char *dir, *file, pname[MAXPATHLEN];
 size_t n;

Modified: stable/8/lib/libelf/elf_getdata.3
==============================================================================
--- stable/8/lib/libelf/elf_getdata.3	Fri May 18 00:31:20 2012	(r235575)
+++ stable/8/lib/libelf/elf_getdata.3	Fri May 18 00:32:29 2012	(r235576)
@@ -144,7 +144,7 @@ structures of type
 .Dv ELF_T_BYTE .
 .Ss Special handling of zero-sized and SHT_NOBITS sections
 For sections of type
-.Dv SHT_NOBITS,
+.Dv SHT_NOBITS ,
 and for zero-sized sections,
 the functions
 .Fn elf_getdata

Modified: stable/8/lib/libelf/elf_strptr.3
==============================================================================
--- stable/8/lib/libelf/elf_strptr.3	Fri May 18 00:31:20 2012	(r235575)
+++ stable/8/lib/libelf/elf_strptr.3	Fri May 18 00:32:29 2012	(r235576)
@@ -64,7 +64,7 @@ encountered.
 .It Bq Er ELF_E_ARGUMENT
 Argument
 .Ar elf
-was NULL
+was NULL.
 .It Bq Er ELF_E_ARGUMENT
 Argument
 .Ar elf

Modified: stable/8/lib/libelf/gelf_getphdr.3
==============================================================================
--- stable/8/lib/libelf/gelf_getphdr.3	Fri May 18 00:31:20 2012	(r235575)
+++ stable/8/lib/libelf/gelf_getphdr.3	Fri May 18 00:32:29 2012	(r235576)
@@ -66,7 +66,7 @@ Function
 will retrieve the program header table entry at index
 .Ar index
 from ELF descriptor
-.Ar elf.
+.Ar elf .
 The translated program header table entry will be written to the
 address pointed to be argument
 .Ar dst .

Modified: stable/8/lib/libelf/gelf_newehdr.3
==============================================================================
--- stable/8/lib/libelf/gelf_newehdr.3	Fri May 18 00:31:20 2012	(r235575)
+++ stable/8/lib/libelf/gelf_newehdr.3	Fri May 18 00:32:29 2012	(r235576)
@@ -58,7 +58,8 @@ structure.
 Function
 .Fn elf64_newehdr
 returns a pointer to a 64 bit
-.Vt Elf64_Ehdr structure.
+.Vt Elf64_Ehdr
+structure.
 .Pp
 When argument
 .Ar elfclass

Modified: stable/8/lib/libgpib/gpib.3
==============================================================================
--- stable/8/lib/libgpib/gpib.3	Fri May 18 00:31:20 2012	(r235575)
+++ stable/8/lib/libgpib/gpib.3	Fri May 18 00:32:29 2012	(r235576)
@@ -667,7 +667,7 @@ and sends its contents to the device.
 .Pp
 The function
 .Fn ibwrtkey
-is obsolete, and not implemented
+is obsolete, and not implemented.
 .Pp
 The function
 .Fn ibxtrc

Modified: stable/8/lib/libkvm/kvm_getpcpu.3
==============================================================================
--- stable/8/lib/libkvm/kvm_getpcpu.3	Fri May 18 00:31:20 2012	(r235575)
+++ stable/8/lib/libkvm/kvm_getpcpu.3	Fri May 18 00:32:29 2012	(r235576)
@@ -114,7 +114,7 @@ it returns -1 instead.
 On success, the
 .Fn kvm_getpcpu
 function returns a pointer to an allocated buffer or
-.Dv NULL.
+.Dv NULL .
 If an error occurs,
 it returns -1 instead.
 .Pp
@@ -124,7 +124,7 @@ call returns 0; if an error occurs, it r
 .Pp
 If any function encounters an error,
 then an error message may be retrieved via
-.Xr kvm_geterr 3.
+.Xr kvm_geterr 3 .
 .Sh SEE ALSO
 .Xr free 3 ,
 .Xr kvm 3

Modified: stable/8/lib/libradius/libradius.3
==============================================================================
--- stable/8/lib/libradius/libradius.3	Fri May 18 00:31:20 2012	(r235575)
+++ stable/8/lib/libradius/libradius.3	Fri May 18 00:32:29 2012	(r235576)
@@ -108,8 +108,7 @@ allows clients to perform authentication
 network requests to remote servers.
 .Ss Initialization
 To use the library, an application must first call
-.Fn rad_auth_open
-,
+.Fn rad_auth_open ,
 .Fn rad_acct_open
 or
 .Fn rad_server_open
@@ -119,8 +118,7 @@ which provides the context for subsequen
 The former function is used for RADIUS authentication and the
 latter is used for RADIUS accounting.
 Calls to
-.Fn rad_auth_open
-,
+.Fn rad_auth_open ,
 .Fn rad_acct_open
 and
 .Fn rad_server_open
@@ -487,7 +485,7 @@ To respond to the request you should cal
 .Fn rad_create_response
 and fill response content with same packet writing functions as for client.
 When packet is ready, it should be sent with
-.Fn rad_send_response
+.Fn rad_send_response .
 .Sh RETURN VALUES
 The following functions return a non-negative value on success.
 If

Modified: stable/8/lib/libusb/libusb.3
==============================================================================
--- stable/8/lib/libusb/libusb.3	Fri May 18 00:31:20 2012	(r235575)
+++ stable/8/lib/libusb/libusb.3	Fri May 18 00:32:29 2012	(r235576)
@@ -100,12 +100,12 @@ counter decremented once.
 .Ft uint8_t
 .Fn libusb_get_bus_number "libusb_device *dev"
 Returns the number of the bus contained by the device
-.Fa dev.
+.Fa dev .
 .Pp
 .Ft uint8_t
 .Fn libusb_get_device_address "libusb_device *dev"
 Returns the device_address contained by the device
-.Fa dev.
+.Fa dev .
 .Pp
 .Ft enum libusb_speed
 .Fn libusb_get_device_speed "libusb_device *dev"
@@ -127,12 +127,12 @@ LIBUSB_ERROR_OTHERS on other failure.
 .Ft libusb_device *
 .Fn libusb_ref_device "libusb_device *dev"
 Increment the reference counter of the device
-.Fa dev.
+.Fa dev .
 .Pp
 .Ft void
 .Fn libusb_unref_device "libusb_device *dev"
 Decrement the reference counter of the device
-.Fa dev.
+.Fa dev .
 .Pp
 .Ft int
 .Fn libusb_open "libusb_device *dev" "libusb_device_handle **devh"
@@ -147,7 +147,7 @@ disconnected and a LIBUSB_ERROR code on 
 A convenience function to open a device by vendor and product IDs
 .Fa vid
 and
-.Fa pid.
+.Fa pid .
 Returns NULL on error.
 .Pp
 .Ft void
@@ -161,7 +161,7 @@ Returns NULL on error.
 .Pp
 .Ft int
 .Fn libusb_get_configuration "libusb_device_handle *devh" "int *config"
-Returns the bConfiguration value of the current configuration.
+Returns the value of the current configuration.
 Returns 0
 on success, LIBUSB_ERROR_NO_DEVICE if the device has been disconnected
 and a LIBUSB_ERROR code on error.
@@ -171,7 +171,7 @@ and a LIBUSB_ERROR code on error.
 Set the active configuration to
 .Fa config
 for the device contained by
-.Fa devh.
+.Fa devh .
 This function returns 0 on success, LIBUSB_ERROR_NOT_FOUND if the requested
 configuration does not exist, LIBUSB_ERROR_BUSY if the interfaces are currently
 claimed, LIBUSB_ERROR_NO_DEVICE if the device has been disconnected and a
@@ -180,7 +180,7 @@ LIBUSB_ERROR code on failure.
 .Ft int
 .Fn libusb_claim_interface "libusb_device_handle *devh" "int interface_number"
 Claim an interface in a given libusb_handle
-.Fa devh.
+.Fa devh .
 This is a non-blocking function.
 It returns 0 on success, LIBUSB_ERROR_NOT_FOUND
 if the requested interface does not exist, LIBUSB_ERROR_BUSY if a program or
@@ -279,7 +279,7 @@ LIBUSB_ERROR code on failure.
 .Ft int
 .Fn libusb_get_device_descriptor "libusb_device *dev" "libusb_device_descriptor *desc"
 Get the USB device descriptor for the device
-.Fa dev.
+.Fa dev .
 This is a non-blocking function.
 Returns 0 on success and a LIBUSB_ERROR code on
 failure.
@@ -324,11 +324,11 @@ on success and a LIBUSB_ERROR code on fa
 This function parses the USB 3.0 endpoint companion descriptor in host endian format pointed to by
 .Fa buf
 and having a length of
-.Fa len.
+.Fa len .
 Typically these arguments are the extra and extra_length fields of the
 endpoint descriptor.
 On success the pointer to resulting descriptor is stored at the location given by
-.Fa ep_comp.
+.Fa ep_comp .
 Returns zero on success and a LIBUSB_ERROR code on failure.
 On success the parsed USB 3.0 endpoint companion descriptor must be
 freed using the libusb_free_ss_endpoint_comp function.
@@ -342,9 +342,9 @@ This function is NULL safe and frees a p
 This function parses a Binary Object Store, BOS, descriptor into host endian format pointed to by
 .Fa buf
 and having a length of
-.Fa len.
+.Fa len .
 On success the pointer to resulting descriptor is stored at the location given by
-.Fa bos.
+.Fa bos .
 Returns zero on success and a LIBUSB_ERROR code on failure.
 On success the parsed BOS descriptor must be freed using the
 libusb_free_bos_descriptor function.

Modified: stable/8/lib/libusb/libusb20.3
==============================================================================
--- stable/8/lib/libusb/libusb20.3	Fri May 18 00:31:20 2012	(r235575)
+++ stable/8/lib/libusb/libusb20.3	Fri May 18 00:32:29 2012	(r235576)
@@ -331,7 +331,7 @@ packets are avoided for proxy buffers.
 .Pp
 .
 .Fn libusb20_tr_get_max_total_length
-function will return the maximum value for the data length sum of all USB
+will return the maximum value for the data length sum of all USB
 frames associated with an USB transfer.
 In case of control transfers the value returned does not include the
 length of the SETUP packet, 8 bytes, which is part of frame zero.
@@ -815,7 +815,7 @@ returns the current speed of the given U
 .Pp
 .
 .Fn libusb20_dev_get_config_index
-This function returns the currently select config index for the given
+returns the currently selected config index for the given
 USB device.
 .
 .Pp
@@ -832,7 +832,7 @@ will set the debug level for the given U
 .Pp
 .
 .Fn libusb20_dev_wait_process
-function will wait until a pending USB transfer has completed on
+will wait until a pending USB transfer has completed on
 the given USB device.
 .
 A timeout value can be specified which is passed on to the
@@ -866,7 +866,7 @@ returned.
 .Pp
 .
 .Fn libusb20_be_get_dev_quirk
-This function will return the device quirk according to
+will return the device quirk according to
 .Fa index
 into the libusb20_quirk structure pointed to by
 .Fa pq .
@@ -948,7 +948,7 @@ Dequeued USB devices will not be freed w
 .Pp
 .
 .Fn libusb20_be_enqueue_device
-This function will enqueue the given USB device pointer in the backend USB device list.
+will enqueue the given USB device pointer in the backend USB device list.
 .
 Enqueued USB devices will get freed when the backend is freed.
 .

Modified: stable/8/lib/msun/man/complex.3
==============================================================================
--- stable/8/lib/msun/man/complex.3	Fri May 18 00:31:20 2012	(r235575)
+++ stable/8/lib/msun/man/complex.3	Fri May 18 00:32:29 2012	(r235576)
@@ -97,7 +97,7 @@ The
 functions described here conform to
 .St -isoC-99 .
 .Sh BUGS
-The trigonmetric functions
+The inverse trigonometric and hyperbolic functions
 .Fn cacos ,
 .Fn casin ,
 .Fn catan ,

Modified: stable/8/share/man/man3/pthread.3
==============================================================================
--- stable/8/share/man/man3/pthread.3	Fri May 18 00:31:20 2012	(r235575)
+++ stable/8/share/man/man3/pthread.3	Fri May 18 00:32:29 2012	(r235576)
@@ -452,7 +452,7 @@ Set the thread-specific value for the sp
 .Fa "void \*[lp]*child\*[rp]\*[lp]void\*[rp]"
 .Fc
 .Xc
-Register fork handlers
+Register fork handlers.
 .It Xo
 .Ft void
 .Fn pthread_cleanup_pop "int execute"

Modified: stable/8/share/man/man3/pthread_condattr.3
==============================================================================
--- stable/8/share/man/man3/pthread_condattr.3	Fri May 18 00:31:20 2012	(r235575)
+++ stable/8/share/man/man3/pthread_condattr.3	Fri May 18 00:32:29 2012	(r235576)
@@ -35,7 +35,7 @@
 .Nm pthread_condattr_getclock ,
 .Nm pthread_condattr_setclock ,
 .Nm pthread_condattr_getpshared ,
-.Nm pthread_condattr_setpshared ,
+.Nm pthread_condattr_setpshared
 .Nd condition attribute operations
 .Sh LIBRARY
 .Lb libpthread

Modified: stable/8/sys/netinet/libalias/libalias.3
==============================================================================
--- stable/8/sys/netinet/libalias/libalias.3	Fri May 18 00:31:20 2012	(r235575)
+++ stable/8/sys/netinet/libalias/libalias.3	Fri May 18 00:32:29 2012	(r235576)
@@ -905,7 +905,7 @@ added support for PPTP and LSNAT as well
 .An Paolo Pisati Aq piso@FreeBSD.org
 made the library modular, moving support for all
 protocols (except for IP, TCP and UDP) to external modules.
-.Sh ACKNOWLEDGMENTS
+.Sh ACKNOWLEDGEMENTS
 Listed below, in approximate chronological order, are individuals who
 have provided valuable comments and/or debugging assistance.
 .Pp
@@ -1264,10 +1264,10 @@ struct dll {
 .Ed
 .Bl -inset
 .It Va name
-is the name of the module
+is the name of the module.
 .It Va handle
 is a pointer to the module obtained through
-.Xr dlopen 3
+.Xr dlopen 3 .
 .El
 Whenever a module is loaded in userland, an entry is added to
 .Va dll_chain ,

Modified: stable/8/usr.sbin/bsnmpd/modules/snmp_netgraph/snmp_netgraph.3
==============================================================================
--- stable/8/usr.sbin/bsnmpd/modules/snmp_netgraph/snmp_netgraph.3	Fri May 18 00:31:20 2012	(r235575)
+++ stable/8/usr.sbin/bsnmpd/modules/snmp_netgraph/snmp_netgraph.3	Fri May 18 00:32:29 2012	(r235576)
@@ -306,7 +306,7 @@ This buffer should be at least
 .Li NG_NODESIZ
 bytes long.
 The function returns the node id or 0 if the
-node is not found
+node is not found.
 .Pp
 The function
 .Fn ng_node_type
@@ -397,7 +397,8 @@ of the node with id
 .Fa peer .
 The functions return 0 on success or -1 otherwise.
 The function
-.Fn ng_connect2_tee_id does the same as
+.Fn ng_connect2_tee_id
+does the same as
 .Fn ng_connect2_id
 except, that it puts an unnamed tee node between the two nodes.
 .Pp
_______________________________________________
svn-src-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-src-all
To unsubscribe, send any mail to "svn-src-all-unsubscribe@freebsd.org"
Comment 6 Glen Barber freebsd_committer 2012-05-18 01:56:35 UTC
State Changed
From-To: patched->closed

MFC complete.